fcf.module({
  name: "fcfManagement:templates/pages/system/system+body.wrapper.js",
  dependencies: ["fcf:NClient/Wrapper.js"],
  module: function(Wrapper){
    return class WrapperEx extends Wrapper{
      
      constructor(a_initializeOptions){
        super(a_initializeOptions);
      }

      onArg(a_argName, a_value, a_editor, a_ignoreRedrawing, a_isInnerCall) {
        // if (!this.isChild(a_editor) && !a_isInnerCall)
        //   this.update();
      }

      async onRestart(){
        this.lock();
        try {
          await this.send({command: "restart"});
        } finally {
          this.unlock();
        }
        
      }

    };
  }
});
